#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lcms2
Version		:	2.14
Release		:	14.4.0.0%{?dist}
Summary		:	Small-footprint color management engine.
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://www.littlecms.com/
			#https://downloads.sourceforge.net/lcms

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libjpeg-turbo
BuildRequires	:	libtiff
#-----------------------------------------------------------------------------
%description
Little CMS intends to be an OPEN SOURCE small-footprint color
management engine, with special focus on accuracy and performance.
It uses the International Color Consortium standard (ICC), which
is the modern standard when regarding to color management. The
ICC specification is widely used and is referred to in many
International and other de-facto standards. It was approved as an
International Standard, ISO 15076-1, in 2005. 

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static 				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

#%{__mkdir_p} %{buildroot}{_defaultdocdir}/%{name}-%{version}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.1ST
%{_bindir}/*cc
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/*cc.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
